### File

`packages/eui/packages/components-next/src/lib/components/eui-menu/models/eui-menu-item.model.ts`

### Index

###### Properties
Optional actionIconClass Optional actionIconCommand Optional actionIconLabel Optional actionIconTypeClass Optional active Optional category Optional children Optional command Optional disabled Optional expanded Optional filtered Optional hasMarker Optional iconClass Optional iconLabel Optional iconTypeClass Optional id Optional label Optional link Optional markerTypeClass Optional tagLabel Optional tagTypeClass Optional url Optional urlExternal Optional visible

### Constructor

`constructor(values: Object)`
Parameters :
Name | Type | Optional
values | `Object` | No

### Properties

Optional actionIconClass
Type : `string`

Optional actionIconCommand
Type : `function`

Optional actionIconLabel
Type : `string`

Optional actionIconTypeClass
Type : `string`

Optional active
Type : `boolean`
Default value : `false`

Optional category
Type : `string`

Optional children
Type : `EuiMenuItem[]`

Optional command
Type : `function`

Optional disabled
Type : `boolean`

Optional expanded
Type : `boolean`
Default value : `false`

Optional filtered
Type : `boolean`
Default value : `true`

Optional hasMarker
Type : `boolean`

Optional iconClass
Type : `string`

Optional iconLabel
Type : `string`

Optional iconTypeClass
Type : `string`

Optional id
Type : `string`

Optional label
Type : `string`

Optional link
Type : `boolean`
Default value : `false`

Optional markerTypeClass
Type : `string`

Optional tagLabel
Type : `string`

Optional tagTypeClass
Type : `string`

Optional url
Type : `string`

Optional urlExternal
Type : `string`

Optional visible
Type : `boolean`
Default value : `true`

# result-matching ""

# No results matching ""